# Upload Multiple Transaction Hash

**1. Request Url**

`https://{host}/api/v2/batchModifyTxId`

**2. Request Param**

| Parameter name | Is it necessary | description                                     |
| -------------- | --------------- | ----------------------------------------------- |
| modifyTxIdList | Y               | Transaction information collection (up to 1000) |
| orderId        | Y               | transaction order number                        |
| depositTxid    | Y               | transaction hash value                          |

**3.Request Example**

```
{
  "modifyTxIdList": [
    {
      "orderId": "33434232-1556-yt6g-99a8-2c303f490c2c",
      "depositTxid": "0x643ccccccccccccccc4c4"
    },
    {
      "orderId": "33120af8-1866-4cb6-99a8-2c303f490c2c",
      "depositTxid": "0x123aaaaaaaaaaaaaaaaa6"
    }
  ]
}
```

**4.Response Data**

```
{
    "resCode": "800",
    "resMsg": "成功",
    "data": {
        "successNum": 1, // Number of successfully uploaded orders
        "failIds": [     // The set of order ids that failed to be uploaded, the reason for the failure: the order already has a hash, and the uploaded hash is not standardized
            "1"
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.en.omnibridge.pro/cross-chain-swap-api/upload-multiple-transaction-hash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
